Bug Hunting Session
Bug 94869 - Calculations involving an array and a position dependent intersection do not propagate an error if there is no intersection in non-array scalar mode
Summary: Calculations involving an array and a position dependent intersection do not ...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium major
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-07 18:55 UTC by Eike Rathke
Modified: 2016-10-25 19:19 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Rathke 2015-10-07 18:55:00 UTC
For example:
=A1:A2+{3} entered on row 4 should result in a #VALUE! error, same as =A1:A2+3
=A1:B2+{3} entered anywhere should result in a #VALUE! error, same as =A1:B2+3
Comment 1 Commit Notification 2015-10-07 19:02:17 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=934e47958c78d1184beaaefdf3baefd3eecbea05

Resolves: tdf#94869 propagate error when obtaining a scalar double value

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Eike Rathke 2015-10-07 19:47:36 UTC
Pending review https://gerrit.libreoffice.org/19235 for 5-0
Comment 3 Commit Notification 2015-10-08 10:32:46 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bfd51e38599d717a3c1b19acd882b52175dd3d09&h=libreoffice-5-0

Resolves: tdf#94869 propagate error when obtaining a scalar double value

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2015-10-09 16:27:00 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c366c0ff5c9d3511a87ff1004a24a5a70f11ab8e&h=libreoffice-5-0

Revert "Resolves: tdf#94869 propagate error when obtaining a scalar double value"

It will be available in 5.0.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2015-10-09 16:29:35 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53ce26978f72d75516a1a91652a2ad96c223ad7c

Revert "Resolves: tdf#94869 propagate error when obtaining a scalar double value"

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2015-10-09 16:34:02 UTC
Not the proper fix..
Comment 7 Commit Notification 2015-10-15 22:28:33 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=07bc49b43187ecc691d98eec1b9b129cf92efd70

Resolves: tdf#94869 propagate error from scalar double to matrix

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2015-10-16 00:39:21 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b684090d4f573eb339e93872d0cef07e69adc913

unit tests for formula error propagation, tdf#94869 related

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.